package org.sonatype.plugins.sisu.assembler;

import org.apache.maven.plugin.MojoExecutionException;

class Utils
{
    static void failIfTouchpointClassesAvailableInClasspath()
        throws MojoExecutionException
    {
        try
        {
            Utils.class.getClassLoader().loadClass( "org.sonatype.p2.touchpoint.ITouchpointMixin" );
            throw new MojoExecutionException(
                "Internal error: P2 touchpoints classes are available in maven plugin classpath. This may cause unexpected behaviour." );
        }
        catch ( final ClassNotFoundException ignore )
        {
            // ignore
        }
    }
}
